petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscHMapTDel

Remove a key and its value from the hash table

### Synopsis

    #include <petsc/private/hashmap.h>
    PetscErrorCode PetscHMapTDel(PetscHMapT ht,KeyType key)

### Input Parameters

| ht | - The hash table
| key | - The key

### Keywords

hash table, map, del

### See Also

PetscHMapTHas(), PetscHMapTIterDel()

### Level

developer

### Location

include/petsc/private/hashmap.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages